Subject: Re: bug#57976: 29.0.50; Complex emoji have extra spacing

From: Protesilaos Stavrou <[email-masked]>
Date: Wed, 21 Sep 2022 16:20:15 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 21 Sep 2022 12:53:14 +0200
>
> Protesilaos Stavrou <[email-masked]> writes:
>
>> I just downgraded to harfbuzz 5.1.0 and restarted Emacs.  The spacing is
>> fine now.  I suppose this means we should close this bug and report it
>> to the harfbuzz maintainers.  Though I thought I would bring it to your
>> attention.
>
> Yes, if you could bring it to their attention, it would be nice, but I'd
> rather keep this bug report open until there's an answer -- perhaps
> there's something we have to adjust in the code on our side with newer
> harfbuzz versions?
>
> If this is not an actual bug in harfbuzz, perhaps the harfbuzz
> developers have some advice here...

I have no reproducible recipe with harfbuzz 5.2.0 beside Emacs.  I wrote
the M-x emoji-list buffer to a file and visited it with a generic text
editor: the display looks fine.

I will try some other programs to see if they are affected.

-- 
Protesilaos Stavrou
https://protesilaos.com